# Copyright (C) 2020 Stephan Kreutzer
#
# This file is part of hyperdex_1, a submodule of the
# digital_publishing_workflow_tools package.
#
# hyperdex_1 is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License version 3 or any later version,
# as published by the Free Software Foundation.
#
# hyperdex_1 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License 3 for more details.
#
# You should have received a copy of the GNU Affero General Public License 3
# along with hyperdex_1. If not, see <http://www.gnu.org/licenses/>.

messageInputIsMissingAnAttribute = Element "{0}" is missing its "{1}" attribute.
messageInputEncounteredNestedData = Encountered nested element "{0}".
messageInputDataDuplicate = Duplicate sub-element "{0}" with value "{2}" for attribute "{1}" in element "{3}" with ID "{4}".
messageInputElementMissing = Element "{0}" without sub-element "{1}" with value "{3}" for attribute "{2}".
messageInputNodeTextDuplicate = For a "{0}" with ID "{4}", a sub-element "{1}" with value "{3}" for attribute "{2}" was already encountered.
messageInputEdgeDataDuplicateKey = In element "{0}", sub-element "{1}", attribute "{2}", value "{3}" is a duplicate.
messageInputEdgeDataIsMissingOrEmpty = In element "{0}", sub-element "{1}", no text provided.
messageInputEdgeDataKeyAttributeValueDimensionTargetMissing = In element "{0}", no sub-element "{1}" with attribute "{2}" and attribute value "{3}" found.
messageInputErrorWhileReading = An error ocurred while reading input.
